local FastForward = GLOBAL.require "widgets/fastforward"

Assets =
{
  Asset("ATLAS", "images/button_minus.xml"),
  Asset("IMAGE", "images/button_minus.tex"),
  Asset("ATLAS", "images/button_plus.xml"),
  Asset("IMAGE", "images/button_plus.tex"),
  Asset("ANIM", "anim/rotating.zip"),
}

GLOBAL.STRINGS.UI.HUD.SPEEDWHEEL="Wheel"
GLOBAL.STRINGS.UI.HUD.SPEEDUP="Max Up\n(Alt + E)"
GLOBAL.STRINGS.UI.HUD.SPEEDDOWN="Max Down\n(Alt + Q)"

local function AddFastForward(inst)

  local controls = inst.HUD.controls
  controls.fastforward_ui = controls.bottomright_root:AddChild(FastForward())
  controls.fastforward_ui.mode = GetModConfigData("mode")
  if GetModConfigData("togglekey") == 1 then
    controls.fastforward_ui.togglekey = GLOBAL.KEY_ALT
  elseif GetModConfigData("togglekey") == 2 then
    controls.fastforward_ui.togglekey = GLOBAL.KEY_CTRL
  else
    controls.fastforward_ui.togglekey = -1
  end
  
  controls.fastforward_ui:SetPosition(-60,130,0)

end

AddSimPostInit(AddFastForward)
